summaryrefslogtreecommitdiff
path: root/infra/scripts/test_x64_neurun_cpu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infra/scripts/test_x64_neurun_cpu.sh')
-rw-r--r--infra/scripts/test_x64_neurun_cpu.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/infra/scripts/test_x64_neurun_cpu.sh b/infra/scripts/test_x64_neurun_cpu.sh
new file mode 100644
index 000000000..c522ea1fb
--- /dev/null
+++ b/infra/scripts/test_x64_neurun_cpu.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+[[ "${BASH_SOURCE[0]}" != "${0}" ]] && echo "Please don't source ${BASH_SOURCE[0]}, execute it" && return
+
+CURRENT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+ROOT_PATH="$CURRENT_PATH/../../"
+
+# Model download server setting
+if [[ -z $MODELFILE_SERVER ]]; then
+ echo "Need model file server setting"
+ exit 1
+fi
+
+export BACKENDS=cpu
+export OP_BACKEND_ALLOPS=cpu
+
+./tests/scripts/test_driver.sh \
+ --ldlibrarypath=$ROOT_PATH/Product/out/lib \
+ --frameworktest_list_file=./tests/scripts/neurun_frameworktest_list.x86-64.cpu.txt \
+ --reportdir=$ROOT_PATH/report/ .